# docker-python-awsebcli

Ready-made docker image for deploying using **AWS Elastic Beanstalk CLI**.

Very specific versions (some non-latest) are used.

- python
    - @ 3-stretch *(latest)*
    - @ 3-alpine
- pip
    - awscli @ 3.14.13 *(prefer latest)*

### Pull from Docker Hub
```
docker pull jeeon/python-awsebcli:3-default
docker pull jeeon/python-awsebcli:3-alpine
```

### Build from GitLab
```
docker build -t jeeon/python-awsebcli:3-default gitlab.com/jeeon/docker/python-awsebcli/3-default
docker build -t jeeon/python-awsebcli:3-alpine gitlab.com/jeeon/docker/python-awsebcli/3-alpine
```

### Run image
```
docker run -it jeeon/python-awsebcli:3-default bash
docker run -it jeeon/python-awsebcli:3-alpine sh
```

### Use as base image
```Dockerfile
FROM jeeon/python-awsebcli:3-default
FROM jeeon/python-awsebcli:3-alpine
```

## License

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
